Subject: Re: [scim] BoF Review and workshopping the Charter based on SCIM IG call, Aug 4

From: "Nancy Cam-Winget (ncamwing)" <[email-masked]>
Date: Sun, 5 Sep 2021 13:33:07 +0000

Hi,
I realized my emails have been stuck….but wanted to close on the consensus calls below.   There’s been discussions which I conclude as interest in exploring the synchronization patterns, so including that in the charter is good.
I haven’t seen much discussion against the discoverable schema investigation, so we could propose it on the charter to illicit further feedback there as well.

Lets work on posting the updated proposed charter here on the mail list so that we can get feedback and drive to consensus.  I noticed there may be work for the updated version in https://github.com/SCIM-Interest-Group/wiki/commit/5eed9a6cb09c3a978d6756d4a10d642098947043 but noticed it is empty?

Best, Nancy

From: scim <[email-masked]> on behalf of Pamela Dingle <Pamela.Dingle=[email-masked]>
Date: Friday, August 13, 2021 at 5:36 AM
To: "[email-masked]" <[email-masked]>
Subject: [scim] BoF Review and workshopping the Charter based on SCIM IG call, Aug 4

Hi all,

Apologies for the lateness of this summary!    This note talks through our discussion last week on our BoF and on next steps, but the real meat here is the decision making that necessarily needs to move to be email-focused.   Please give us your reactions to the topics below.    Additionally,  our summary of the meeeting, links to the meeting, and thoughts and goals moving forward are here:  meetings/2021-08-04.md at main · SCIM-Interest-Group/meetings (github.com)<https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Fgithub.com%2FSCIM-Interest-Group%2Fmeetings%2Fblob%2Fmain%2F2021%2F2021-08-04.md&data=04%7C01%7CPamela.Dingle%40microsoft.com%7Cb33efe0d2d2c4e43269408d958ea8f33%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C637638586957227083%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=%2BRAJAIV54EP10dGsRdFbVNBV%2BvKqOC8HrML7n%2BZFP94%3D&reserved=0>. Video of the meeting is available on Youtube: https://youtu.be/msGCsG752PA<https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Fyoutu.be%2FmsGCsG752PA&data=04%7C01%7CPamela.Dingle%40microsoft.com%7Cb33efe0d2d2c4e43269408d958ea8f33%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C637638586957237046%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=WyF9Kn51LgCxrAOO5oW2MznY4SsoY57OoZ4axafOeIg%3D&reserved=0>

Three issues need surfacing to the wider community, based on commentary in the BoF:

Synchronization not a Charter Focus

While we have spoken a lot in our interest group meetings about pagination, comments from Morteza around synchronization sparked a conversation around the relationship between pagination and synchronization -- is it that pagination is so critical because large data set fetches are the only way to do synchronization?   The consensus from the group in the meeting was that yes, there is a relationship here, and while we definitely still think pagination is a critical topic, understanding the nature of our syncronization use cases could shed light on why large data set handling is so critical for many.

Fixed vs. Discoverable Schema

Discussion of Leif's comments in the BoF about lack of flexibility in current schema efforts resulted  the group suggested that we should look at what could be done to better support discoverable schema.  Can we make the discovery mechanism already in the spec more dynamic or more able to be part of a schema negotiation?

Discussion on External ID and Privileged Access

We didn't get a chance to discuss, but are looking for thoughts and discussion from the community.

Moving towards IETF Conformant Comms and Processes

Nancy Cam Winget (one of our BoF chairs) has been advising us on next steps and the discussion began on process.  The group took a shot at running some consensus calls today in the meeting based on the above topics, you can see them below and we want your feedback, but going  chairs. Additionally Nancy was very clear that the critical consensus mechanism needs to be the mailing list - so we will work to make sure those motions are properly followed.

Please give us your thoughts & reactions to these two statements and their impact on the proposed charter:

Consensus call (9/11 within the call):  We will explore synchronization patterns and deliver a document describing what implementers are doing, with one focus being how large data sets are involved as an early deliverable

Consensus call (7/11 within the call) for "investigating discoverable schema as part of our schema milestone" deliverable would be a document containing recommendations delivered to the WG
Cheers,

Pam